Subject: Re: What's cooking in git.git (Dec 2013, #03; Thu, 12)

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 Dec 2013 09:14:15 -0800

Nicolas Vigier <[email-masked]> writes:

> On Sun, 15 Dec 2013, Junio C Hamano wrote:
>
>> Besides, we would need at least something like this to make sure
>> that people have a way to selectively disable configured default
>> when necessary, perhaps like this.
>
> This looks like a good idea.

I said "at least" because I suspect this is far from sufficient.
When the variable is set, there is no way to say "do not bother
signing commits when stashing WIP changes", for example, no?

Scripted Porcelains that happen to use commit-tree are all affected,
while those that have been rewritten in C and internally make calls
to commit_tree() (e.g. "git merge") will not be affected by it.  I
still am not convinced that this configuration variable is a good
idea in the first place, but I am not its audience, so....